Package Details: mlterm 3.9.2-1

Git Clone URL: https://aur.archlinux.org/mlterm.git (read-only, click to copy)
Package Base: mlterm
Description: Multi Lingual TERMinal emulator on X
Upstream URL: http://mlterm.sourceforge.net/
Keywords: emulator terminal terminal-emulator
Licenses: BSD
Submitter: ilpianista
Maintainer: holishing
Last Packager: holishing
Votes: 40
Popularity: 0.002349
First Submitted: 2010-02-09 13:06 (UTC)
Last Updated: 2022-03-30 16:51 (UTC)

Latest Comments

MarsSeed commented on 2022-02-26 21:51 (UTC) (edited on 2022-02-26 21:53 (UTC) by MarsSeed)

I have triggered this package to become orphaned, as the previous maintainer might have had less time available to keep a close eye on its updates.

There's been two significant releases: v3.9.1 and v3.9.2 (the latter one on 17 Jan 2022).

The project's primary development seems to have been moved over to GitHub as well.

From the v3.9.1 and v3.9.2 changelogs, it seems there might be a need to revise or change the build configuration.

Since it's an orphan now, a new volunteer can adopt this package to get it up to speed with its latest release.

bparker commented on 2017-09-26 16:14 (UTC) (edited on 2017-09-26 16:19 (UTC) by bparker)

Fails validation on mlterm 3.8.3-1 (2017-09-23 16:02). Package will not build. Skipping the validation also doesn't work: ==> Starting build()... /tmp/yaourt-tmp-bp/aur-mlterm/./PKGBUILD: line 27: cd: /tmp/yaourt-tmp-bp/aur-mlterm/src/mlterm-3.8.3: No such file or directory Seems to be because the link to the tarball returns a webpage when not using a browser.

eagletmt commented on 2014-08-24 05:50 (UTC)

@aksr Thank you. I disowned the package now.

MoSal commented on 2013-04-21 23:09 (UTC)

Is anyone using tmux+mlterm? Resizing panes (send-prefix+Meta+Arrow_Key) stopped working on my system lately. It just prints cryptic symbols: 1;5A 1;5B 1;5C 1;5D The problem didn't go away after I built and installed previous versions of both tmux and mlterm. So, I'm suspecting some dependency is causing the breakage. Other terminal emulators work just fine.

commented on 2012-11-18 05:26 (UTC)

Any fix on this? Version 3.1.5 is out.

gtmanfred commented on 2012-11-15 21:02 (UTC)

can anyone get this to compile i am getting random errors now

gtmanfred commented on 2012-06-18 04:05 (UTC)

done

adaptee commented on 2012-06-18 03:59 (UTC)

Also, please update mlterm.dekstop to change the following line: Categories=Application;TerminalEmulator; into Categories=System;TerminalEmulator; to make it comtatible with FDO specs. Just run "desktop-file-validate" to see why.

adaptee commented on 2012-06-18 03:53 (UTC)

Seriously, it fails in the packaging stage. There is a working PKGBUILD at http://paste.kde.org/502316/

yoelion commented on 2012-01-04 09:40 (UTC)

@ryo thank for solution. fixed

commented on 2012-01-04 01:16 (UTC)

solved myself build() { cd ${srcdir}/${pkgname}-${pkgver} # build export LDFLAGS="$LDFLAGS -lm" #<-add this line ./configure --prefix=/usr \ .....................

commented on 2012-01-04 00:56 (UTC)

Can't build : /usr/bin/ld: .libs/x_imagelib.o: undefined reference to symbol 'pow@@GLIBC_2.2.5' /usr/bin/ld: note: 'pow@@GLIBC_2.2.5' is defined in DSO /lib/libm.so.6 so try adding it to the linker command line /lib/libm.so.6: could not read symbols: Invalid operation collect2: ld returned 1 exit status make[1]: *** [mlterm] Error 1 make[1]: Leaving directory `/tmp/packerbuild-0/mlterm/mlterm/src/mlterm-3.0.10/xwindow' make: *** [all] Error 2 ==> ERROR: A failure occurred in build(). Aborting... The build failed.

jyyou commented on 2011-01-15 18:29 (UTC)

PKGBUILD for mlterm-3.0.2 http://aur.pastebin.com/DCRjER9U fix-obj-ext.diff, fix the build problem http://aur.pastebin.com/Mf20EvNy